Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451388 - unable to detect hard disk on raid controller
Summary: unable to detect hard disk on raid controller
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-p2v
Version: unspecified
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Matthew Booth
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 23:11 UTC by Greg Caetano
Modified: 2014-12-15 12:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 12:10:40 UTC


Attachments (Terms of Use)
virt-p2v log (deleted)
2008-09-09 16:56 UTC, Greg Caetano
no flags Details
dmesg output from system to be captured (deleted)
2008-09-09 16:56 UTC, Greg Caetano
no flags Details
ErrorMessage screen shot (deleted)
2008-09-09 16:59 UTC, Greg Caetano
no flags Details

Description Greg Caetano 2008-06-13 23:11:21 UTC
Description of problem: p2v unable to detect raid disk controller based drives

Version-Release number of selected component (if applicable):0.9.7

How reproducible: always

Steps to Reproduce:
1.boot p2v live cd on any HP server with standard smart array controller
2.
3.
  
Actual results:
/tmp/virt-p2v.log reports
all_block_devices: block devices:
all_block_devices: non-removable block devices:
No non-removable block devices (hard disks, etc.) could be found on this machine.


Expected results:
Discovery of /dev/cciss/c0d0 as a block device

Additional info:
/sys/block does have cciss!c0d0 in its listing

Comment 1 Richard W.M. Jones 2008-09-09 13:02:17 UTC
There is a new version (0.9.8) on the website which includes UNTESTED
support for HP Smart Array controllers (cciss).

Comment 2 Greg Caetano 2008-09-09 16:55:02 UTC
Tested 0.9.8 on BL20p G3 and received the following error message:

Command Failed:
mount '/dev/mapper/snapcciss_c0d0' /mnt/root

RHEL3u9 system attempting to be captured - will attached screenshot, dmesg output and virt-p2v.log as requested.

Comment 3 Greg Caetano 2008-09-09 16:56:09 UTC
Created attachment 316210 [details]
virt-p2v log

Comment 4 Greg Caetano 2008-09-09 16:56:59 UTC
Created attachment 316211 [details]
dmesg output from system to be captured

Comment 5 Greg Caetano 2008-09-09 16:59:36 UTC
Created attachment 316212 [details]
ErrorMessage screen shot

Comment 7 Greg Caetano 2009-05-15 20:25:37 UTC
Tested with v0.9.9 that supports LVM snapshots and issue has been corrected. I can move systems configured for ext3 /dev/cciss/c0d0 partitions or those with LVM volumes on the /dev/cciss/c0d0.

Comment 8 Richard W.M. Jones 2011-04-13 08:50:23 UTC
virt-p2v has been rewritten.  I'm reassigning this bug
to Matt Booth to make sure that the new virt-p2v will
work with /dev/cciss devices.

Comment 9 Richard W.M. Jones 2011-08-30 10:01:26 UTC
There is a new version of virt-p2v and virt-v2v:
http://libguestfs.org/virt-v2v/

Comment 10 Richard W.M. Jones 2014-12-15 12:10:40 UTC
Closing per comment 9.


Note You need to log in before you can comment on or make changes to this bug.